Eclipse崩溃GC超出限制超出错误

这是我第一次使用Proguard,我注意到如果你将许多自定义规则添加到proguard-project.txt ,显然需要更多时间来构build。 这导致Eclipse崩溃报告GC overhead limit exceeded ,然后我必须强制closuresjava,因为编辑器继续popup错误和警报对话框。 有什么办法可以避免这些在Eclipse上的连续崩溃,所以解决这里报告的问题吗?

Solutions Collecting From Web of "Eclipse崩溃GC超出限制超出错误"

修正了,我读了所有关于这个问题的其他论坛post,但没有人说如何在Eclipse上修复它。 我在这里find了修复


编辑:万一链接死了,这是你可以做的。 编辑“eclipse.ini”,并设置类似的东西:

 -XX:MaxPermSize=1024m -Xms512m -Xmx1024m 

删除布局中的所有错误和警告。 确保你在pipe理模式下运行eclipse(windows用户)转到你的eclipse文件夹位置 – >打开eclipse.ini文件,然后确保匹配以下。

 -Dosgi.requiredJavaVersion=1.6-Xms512m-Xmx1024m 

这可能会帮助你一点点。

将清单中的目标SDK更改为18,以避免崩溃。 问题是与Android-19。 在切换之前等待另一个更新。